dnl Process this file with autoconf to produce a configure script.
AC_INIT(Makefile.in)

dnl Determine system type
BBH_SYS_GETSYSTEM

dnl Checks for programs
AC_PROG_CC
dnl Checks for header files.
AC_HEADER_STDC
dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_CHECK_PROG(PERL,perl,perl,no)
AC_CHECK_PROG(RANLIB,ranlib,ranlib,touch)
AC_CHECK_PROG(AR,ar,ar,touch)

BBH_F77_CONFIGURE
BBH_F90_CONFIGURE
BBH_RNPL_SET_VARS
AC_SUBST(BBH_DEFS)

AC_OUTPUT(Makefile
         src/Makefile
         )
